
/*******************************************************************************
* Copyright (c) 2017 Olivier Langella <olivier.langella@u-psud.fr>.
*
* This file is part of XTPcpp.
*
*     XTPcpp is free software: you can redistribute it and/or modify
*     it under the terms of the GNU General Public License as published by
*     the Free Software Foundation, either version 3 of the License, or
*     (at your option) any later version.
*
*     XTPcpp is distributed in the hope that it will be useful,
*     but WITHOUT ANY WARRANTY; without even the implied warranty of
*     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*     GNU General Public License for more details.
*
*     You should have received a copy of the GNU General Public License
*     along with XTPcpp.  If not, see <http://www.gnu.org/licenses/>.
*
* Contributors:
*     Olivier Langella <olivier.langella@u-psud.fr> - initial API and implementation
******************************************************************************/

#include "peptidematch.h"

PeptideMatch::PeptideMatch(pappso::MsRunIdSp msrunid_sp, unsigned int scan) {
    _msrunid_sp = msrunid_sp;
    _scan = scan;
}

void PeptideMatch::setRetentionTime(pappso::pappso_double rt) {
    _rt = rt;
}
void PeptideMatch::setEvalue(pappso::pappso_double evalue) {
    _evalue = evalue;
}

void PeptideMatch::setExperimentalMass(pappso::pappso_double exp_mass) {
    _exp_mass =exp_mass;
}
void PeptideMatch::setStart(unsigned int start) {
    _start =start;
}
void PeptideMatch::setCharge(unsigned int charge) {
    _charge =charge;
}

void PeptideMatch::setPeptideSp (pappso::PeptideSp peptide) {
    _peptide_sp = peptide;
}

void PeptideMatch::setChecked(bool arg1) {
    _checked = arg1;
}

bool PeptideMatch::isChecked() const {
    return _checked;
}

void PeptideMatch::setIdentificationDataSource(IdentificationDataSource* identification_source) {
    _p_identification_source = identification_source;
}
IdentificationDataSource* PeptideMatch::getIdentificationDataSource () const {
    return _p_identification_source;
}
unsigned int PeptideMatch::getScan() const {
    return _scan;
}
pappso::pappso_double PeptideMatch::getRetentionTime() const {
    return _rt;
}
unsigned int PeptideMatch::getCharge() const {
    return _charge;
}

pappso::PeptideSp PeptideMatch::getPeptideSp() const {
    return _peptide_sp;
}
